import type { DataTableIcon } from './daisyUiWrappedComponentPropertyMap.js';
import type { IDataSource } from '../dataSource/IDataSource.js';
import type { DataTableConfig } from '../types/DataTableConfig.js';
import type { Component, Snippet } from 'svelte';
import type { ClassValue } from 'svelte/elements';
import type { ThemeSize } from '../../routes/util/type/Theme.js';
interface Props {
    config: DataTableConfig<any>;
    /**
     * The data source where the dataTable requests the table data from
     */
    dataSource: IDataSource<any>;
    icons?: Partial<Record<DataTableIcon, Component>>;
    class?: ClassValue;
    striped?: boolean;
    hoverable?: boolean;
    size?: ThemeSize;
    headerFirst?: Snippet;
    headerAfterSearch?: Snippet;
    headerMiddle?: Snippet;
}
declare const DaisyUiDataTable: Component<Props, {}, "dataSource">;
type DaisyUiDataTable = ReturnType<typeof DaisyUiDataTable>;
export default DaisyUiDataTable;
