import type { FullDataTableConfig } from '../types/DataTableConfig.js';
import type { PaginatedListRequest } from '../types/PaginatedListRequest.js';
import type { IDataSource } from './IDataSource.js';
import { QueryResult } from './QueryResult.js';
export declare abstract class AbstractDataSource<Data> implements IDataSource<Data> {
    protected dataTableConfig: FullDataTableConfig<Data> | undefined;
    private _queryResult;
    get queryResult(): QueryResult<Data>;
    protected set queryResult(value: QueryResult<Data>);
    setConfig(config: FullDataTableConfig<Data>): void;
    abstract requestData(data: PaginatedListRequest<Data>): void;
}
