import type { ApiFunction } from '../types/ApiFunction.js';
import type { PaginatedListRequest } from '../types/PaginatedListRequest.js';
import { AbstractDataSource } from './AbstractDataSource.svelte.js';
/**
 * Uses your custom api function to request data
 */
export declare class ApiFunctionDataSource<Data> extends AbstractDataSource<Data> {
    private apiFunction;
    /**
     * Create a new data source to fetch the paginated table data using your custom api function.
     *
     * @param apiFunction the api function which requests data by sending the {@link PaginatedListRequest} and returning a {@link PaginatedListResponse}
     */
    constructor(apiFunction: ApiFunction<Data>);
    requestData(data: PaginatedListRequest<Data>): void;
}
