import type { PaginatedListResponse } from '../types/PaginatedListResponse.js';
export type LoadingQueryResult<Data> = Omit<QueryResult<Data>, 'data' | 'error'>;
export type SuccessQueryResult<Data> = Omit<QueryResult<Data>, 'data' | 'error'> & {
    readonly data: PaginatedListResponse<Data>;
};
export type ErrorQueryResult<Data> = Omit<QueryResult<Data>, 'data' | 'error'> & {
    readonly error: Error;
};
export declare class QueryResult<Data> {
    readonly data?: PaginatedListResponse<Data> | undefined;
    readonly error?: Error | undefined;
    private constructor();
    isError(): this is ErrorQueryResult<Data>;
    isLoading(): this is LoadingQueryResult<Data>;
    isSuccess(): this is SuccessQueryResult<Data>;
    static buildSuccess<Data>(data: PaginatedListResponse<Data>): QueryResult<Data>;
    static buildError<Data = unknown>(error: Error): QueryResult<Data>;
    static buildLoading<Data = unknown>(): QueryResult<Data>;
}
