export class QueryResult {
    data;
    error;
    constructor(data, error) {
        this.data = data;
        this.error = error;
    }
    isError() {
        return Boolean(this.error) && !this.data;
    }
    isLoading() {
        return !this.data && !this.error;
    }
    isSuccess() {
        return Boolean(this.data) && !this.error;
    }
    static buildSuccess(data) {
        return new QueryResult(data);
    }
    static buildError(error) {
        return new QueryResult(undefined, error);
    }
    static buildLoading() {
        return new QueryResult();
    }
}
