import type { ComponentTypeProperties } from '../dataComponent/ComponentType.js';
import type { QueryResult } from '../dataSource/QueryResult.js';
import type { ParsedSearchQuery } from '../searchParser/ParsedSearchQuery.js';
import type { SortDirection } from '../types/SortDirection.js';
import { type Snippet } from 'svelte';
export interface Props {
    currentPage: number;
    searchQuery: ParsedSearchQuery | undefined;
    children: Snippet<[
        {
            queryResult: QueryResult<unknown>;
            columnProperties: Record<string, ComponentTypeProperties>;
            itemAmount: number;
            pageAmount: number;
            items: Record<string, unknown>[];
            sortDirection: SortDirection;
            toggleSorting: (columnKey: string) => void;
            sortColumnKey: string | undefined;
            open: (index: number) => void;
            currentOpenIndex: number | undefined;
            highlightedItemId: string | undefined;
        }
    ]>;
}
declare const InternalDataTable: import("svelte").Component<Props, {}, "">;
type InternalDataTable = ReturnType<typeof InternalDataTable>;
export default InternalDataTable;
