import { componentTypes } from '../dataComponent/ComponentType.js';
export function buildColumnPropertyData(columnProperties) {
    const internalColumnProperties = {};
    for (const key of Object.keys(columnProperties)) {
        let colProp = columnProperties[key];
        if (!colProp) {
            continue;
        }
        colProp = Object.assign({}, componentTypes.generic.defaultTypeProperties, colProp);
        if (!colProp.type) {
            throw new Error(`Config for dataTable column "${key}" has to type`);
        }
        const componentType = componentTypes[colProp.type];
        if (componentType.defaultTypeProperties) {
            colProp = Object.assign({}, componentType.defaultTypeProperties, colProp);
        }
        if (componentType.forcedTypeProperties) {
            colProp = Object.assign({}, colProp, componentType.forcedTypeProperties);
        }
        internalColumnProperties[key] = colProp;
    }
    return internalColumnProperties;
}
