import type { DateTime } from 'luxon';
import type { Readable } from 'svelte/store';
import type { ApiFunction } from '../types/ApiFunction.js';
import type { PaginatedListRequest } from '../types/PaginatedListRequest.js';
export declare const browser: boolean;
export declare function hasOwnProperty<X, Y extends PropertyKey>(obj: X, prop: Y): obj is NonNullable<X> & Record<Y, unknown>;
export declare function isIndexable<X>(obj: X): obj is NonNullable<X> & Record<string, unknown>;
export declare function isDateTime(obj: unknown): obj is DateTime;
export declare function isStore<T>(store: unknown): store is Readable<T>;
export declare function wrapPossibleStore<T>(store: T | Readable<T>): Readable<T>;
export declare function clamp(value: number, min: number, max: number): number;
export declare function debounce<ArgsType extends unknown[]>(func: (...args: ArgsType) => void, waitTime: number): (...args: ArgsType) => void;
export declare function preventEvent(e: Event): void;
/**
 * Map key-value pairs using the passed in map.
 *
 * @param map the mapping from key to value
 * @param key the key to get the value for
 * @param defaultToKey should the key be returned as the value, in case a key to value mapping doesn't exist
 */
export declare function mapValue<Key extends string, Value extends string>(map: Record<Key, Value>, key: Key, defaultToKey?: boolean): Value | undefined;
export declare function wrapFetchToThrow<Data>(func: (data: PaginatedListRequest<Data>) => Promise<Response>): ApiFunction<Data>;
